function FirstView() {
	
	var self = Ti.UI.createView({
		layout:'vertical',
	});
	
	var lat = 42.358431;
	var lng = -71.059773;
	
	var infoButton = Ti.UI.createButton({
		backgroundImage:'/images/44x44.png',
		height:"44dp",
		width:"44dp",
		top:"5dp",
		//right:"5dp",
	});
	
	var imageView = Ti.UI.createImageView({
		image:'/images/44x44.png',
		height:"44dp",
		width:"44dp",
	});
	
	var map = Titanium.Map.createView({
	    mapType: Titanium.Map.STANDARD_TYPE,
	    //userLocation:true,
	    region: {latitude:lat, longitude:lng, latitudeDelta:0.01, longitudeDelta:0.01},
	    width:"90%",
	    height:"25%",
	    top:"5dp",
	});
	
	var mapAnnotation = Titanium.Map.createAnnotation({
	    latitude: lat,
	    longitude: lng,
	    title: 'MyLocation',
	    pincolor:Titanium.Map.ANNOTATION_RED,
	    //rightButton:'/images/44x44.png',
	    rightButton:imageView.getImage(),
	});
	
	map.addAnnotation(mapAnnotation);
	
	var tableRows = [];
	tableRows[0] = Ti.UI.createTableViewRow({hasChild:true,title:'One',height:"50dp",rightImage:'/images/44x44.png'});
	tableRows[1] = Ti.UI.createTableViewRow({hasChild:true,title:'Two',height:"50dp",rightImage:'/images/44x44.png'});
	tableRows[2] = Ti.UI.createTableViewRow({hasChild:true,title:'Three',height:"50dp",rightImage:'/images/44x44.png'});
	
	var table = Titanium.UI.createTableView({
		top:"20dp",
		data:tableRows,
	});
	
	self.add(infoButton);
	self.add(map);
	self.add(table);
	
	return self;
}

module.exports = FirstView;
